<?php
/**
 * Biography heme Customizer
 *
 * @package Biography
 * @since Biography 1.0.0
 */
add_filter('biography_customizer_framework_url', 'biography_customizer_framework_url');

if( ! function_exists( 'biography_customizer_framework_url' ) ):

    function biography_customizer_framework_url(){
        return trailingslashit( get_template_directory_uri() ) . 'inc/frameworks/biography-customizer-framework/';
    }

endif;

add_filter('biography_customizer_framework_path', 'biography_customizer_framework_path');

if( ! function_exists( 'biography_customizer_framework_path' ) ):
    function biography_customizer_framework_path(){
        return trailingslashit( get_template_directory() ) . 'inc/frameworks/biography-customizer-framework/';
    }
endif;

/*define constant for biography-customizer-constant*/
if(!defined('BIOGRAPHY_CUSTOMIZER_NAME')){
    define('BIOGRAPHY_CUSTOMIZER_NAME','biography-options');
}


/**
 * reset options
 * @param  array $reset_options
 * @return void
 *
 * @since biography 1.0
 */
if ( ! function_exists( 'biography_reset_options' ) ) :
    function biography_reset_options( $reset_options ) {
        set_theme_mod( BIOGRAPHY_CUSTOMIZER_NAME, $reset_options );
    }
endif;
/**
 * Customizer framework added.
 */
$biography_biography_customizer_file_path = biography_file_directory('inc/frameworks/biography-customizer-framework/biography-customizer-framework.php');
require $biography_biography_customizer_file_path;

global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;
$biography_customizer_defaults['biography-customizer-reset-settings'] = '';

/******************************************
Modify Site Identity sections
 *******************************************/
$biography_customizer_site_identity_file_path = biography_file_directory('inc/customizer/site-identity/site-identity.php');
require $biography_customizer_site_identity_file_path;

/******************************************
Modify Site Color sections
 *******************************************/
$biography_customizer_options_general_color_file_path = biography_file_directory('inc/customizer/colors/general.php');
require $biography_customizer_options_general_color_file_path;

/******************************************
Added font setting options
 *******************************************/
$biography_customizer_options_font_family_file_path = biography_file_directory('inc/customizer/font-setting/font-family.php');
require $biography_customizer_options_font_family_file_path;

/******************************************
Featured Slider options
 *******************************************/
$biography_customizer_fs_options_file_path = biography_file_directory('inc/customizer/featured-slider/fs-panel.php');
require $biography_customizer_fs_options_file_path;

/******************************************
Home page options
 *******************************************/
$biography_customizer_home_options_setting_file_path = biography_file_directory('inc/customizer/home-options/home-options.php');
require $biography_customizer_home_options_setting_file_path;

/******************************************
Theme options panel
 *******************************************/
$biography_customizer_theme_options_setting_file_path = biography_file_directory('inc/customizer/theme-options/option-panel.php');
require $biography_customizer_theme_options_setting_file_path;

/******************************************
Important Links
 *******************************************/
$biography_customizer_important_links_file_path = biography_file_directory('inc/customizer/sections/important-links.php');
require $biography_customizer_important_links_file_path;


$biography_sections['biography-customizer-reset'] =
    array(
        'priority'       => 999,
        'title'          => esc_html__( 'Reset All Options', 'biography-pro' )
    );
$biography_settings_controls['biography-customizer-reset-settings'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-customizer-reset-settings'],
            'sanitize_callback'    => 'biography_sanitize_checkbox',
            'transport'            => 'postmessage',
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Reset All Options', 'biography-pro' ),
            'description'           =>  esc_html__( 'Caution: Reset all options settings to default. Refresh the page after save to view the effects. ', 'biography-pro' ),
            'section'               => 'biography-customizer-reset',
            'type'                  => 'checkbox',
            'priority'              => 10,
            'active_callback'       => ''
        )
    );
/*Resetting all Values*/
/**
 * Reset color settings to default
 * @param  $input
 *
 * @since biography 1.0
 */
$biography_customizer_defaults['biography-customizer-reset-settings'] = '';
if ( ! function_exists( 'biography_customizer_reset' ) ) :
    function biography_customizer_reset() {
        global $biography_customizer_saved_values;

        $biography_customizer_saved_values = biography_get_all_options();

        if ( $biography_customizer_saved_values['biography-customizer-reset-settings'] == 1 ) {
            
            $biography_customizer_defaults['biography-customizer-reset-settings'] = '';
            /*resetting fields*/
            biography_reset_options( $biography_customizer_defaults );

            remove_theme_mod( 'background_color' );
            remove_theme_mod( 'background_image' );
            remove_theme_mod( 'background_repeat' );
            remove_theme_mod( 'background_position_x' );
            remove_theme_mod( 'background_attachment' );
            remove_theme_mod( 'header_image' );
        }
        else {
            return false;
        }
    }
endif;
add_action( 'customize_save_after', 'biography_customizer_reset' );

/******************************************
Removing section setting control
 *******************************************/
$biography_customizer_args = array(
    'panels'            => $biography_panels, /*always use key panels */
    'sections'          => $biography_sections,/*always use key sections*/
    'settings_controls' => $biography_settings_controls,/*always use key settings_controls*/
    'repeated_settings_controls' => $biography_repeated_settings_controls,/*always use key sections*/
);

/*registering panel section setting and control start*/
function biography_add_panels_sections_settings() {
    global $biography_customizer_args;
    return $biography_customizer_args;
}
add_filter( 'biography_panels_sections_settings', 'biography_add_panels_sections_settings' );
/*registering panel section setting and control end*/

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function biography_customize_register( $wp_customize ) {
    $wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
    $wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
    $wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
}
add_action( 'customize_register', 'biography_customize_register' );
/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function biography_customize_preview_js() {
    wp_enqueue_script( 'biography_customizer', get_template_directory_uri() . '/assets/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'biography_customize_preview_js' );

/**
 * Repeated value handling
 * @param  array $reset_options
 * @return void
 *
 * @since Biography 1.0.0
 */
if ( ! function_exists( 'biography_get_repeated_all_value' ) ) :
    function biography_get_repeated_all_value ( $repeated, $repeated_saved_values_name ) {

        $coder_get_customizer_all_values = biography_get_customizer_all_values( BIOGRAPHY_CUSTOMIZER_NAME );
        $get_repeated_all_value = array();
        for ( $i = 1; $i <= $repeated; $i++ ){
            foreach( $repeated_saved_values_name as $coder_repeated_saved_value_name ){
                if( isset($coder_get_customizer_all_values[$coder_repeated_saved_value_name.'_'.$i] ) ){
                    $get_repeated_all_value[$i][$coder_repeated_saved_value_name] = $coder_get_customizer_all_values[$coder_repeated_saved_value_name.'_'.$i];
                }
            }
        }
        return $get_repeated_all_value;
    }
endif;

/**
 * get all saved options
 * @param  null
 * @return array saved options
 *
 * @since biography 1.0
 */
if ( ! function_exists( 'biography_get_all_options' ) ) :
    function biography_get_all_options( $merge_default = 0 ) {
        $biography_customizer_saved_values = biography_get_customizer_all_values( BIOGRAPHY_CUSTOMIZER_NAME );
        if( 1 == $merge_default ){
            global $biography_customizer_defaults;
            if(is_array( $biography_customizer_saved_values )){
                $biography_customizer_saved_values = array_merge($biography_customizer_defaults, $biography_customizer_saved_values );
            }
            else{
                $biography_customizer_saved_values = $biography_customizer_defaults;
            }
        }
        return $biography_customizer_saved_values;
    }
endif;