<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-portfolio-enable'] = 1;
$biography_customizer_defaults['biography-home-portfolio-title'] = esc_html__( 'Our Portfolios','biography-pro' );
$biography_customizer_defaults['biography-home-portfolio-number'] = 3;
$biography_customizer_defaults['biography-home-portfolio-cat-all'] = 1;
$biography_customizer_defaults['biography-home-portfolio-single-words'] = 30;
$biography_customizer_defaults['biography-home-portfolio-column'] = 3;
$biography_customizer_defaults['biography-home-portfolio-button-text'] = esc_html__('Browse more portfolios','biography-pro');
$biography_customizer_defaults['biography-home-portfolio-button-link'] = esc_url( home_url( '/portfolios' ) );
$biography_customizer_defaults['biography-home-portfolio-enable-single-link'] = 1;

/*portfoliooptions*/
$biography_sections['biography-home-portfolio-options'] =
    array(
        'priority'       => 80,
        'title'          => esc_html__( 'Portfolio Options', 'biography-pro' ),
        'panel'          => 'biography-home-portfolio',
    );

/*portfoliosetting*/
$biography_settings_controls['biography-home-portfolio-enable'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-portfolio-enable']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Portfolio', 'biography-pro' ),
            'section'               => 'biography-home-portfolio-options',
            'type'                  => 'checkbox',
            'priority'              => 10,
            'active_callback'       => ''
        )
    );

/*defaults values*/
$biography_settings_controls['biography-home-portfolio-title'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-portfolio-title']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Main Title', 'biography-pro' ),
            'section'               => 'biography-home-portfolio-options',
            'type'                  => 'text',
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-portfolio-number'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-portfolio-number']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number of Portfolio/s', 'biography-pro' ),
            'section'               => 'biography-home-portfolio-options',
            'type'                  => 'select',
            'choices'               => array(
                1 => esc_html__( '1', 'biography-pro' ),
                2 => esc_html__( '2', 'biography-pro' ),
                3 => esc_html__( '3', 'biography-pro' )
            ),
            'priority'              => 22,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-portfolio-cat-all'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-portfolio-cat-all']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Check To Show All Posts From Selected Category', 'biography-pro' ),
            'description'           =>  esc_html__( 'Note : Only work when you have selected portfolios for category', 'biography-pro' ),
            'section'               => 'biography-home-portfolio-options',
            'type'                  => 'checkbox',
            'priority'              => 25,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-portfolio-single-words'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-portfolio-single-words']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number Of Words in Single Column Content', 'biography-pro' ),
            'description'           =>  esc_html__( 'If you do not have selected from - Custom', 'biography-pro' ),
            'section'               => 'biography-home-portfolio-options',
            'type'                  => 'number',
            'priority'              => 28,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-portfolio-column'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-portfolio-column']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number Of Columns', 'biography-pro' ),
            'section'               => 'biography-home-portfolio-options',
            'type'                  => 'select',
            'choices'               => array(
                1 => esc_html__( '1', 'biography-pro' ),
                2 => esc_html__( '2', 'biography-pro' ),
                3 => esc_html__( '3', 'biography-pro' ),
                4 => esc_html__( '4', 'biography-pro' ),
            ),
            'priority'              => 30,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-portfolio-enable-single-link'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-portfolio-enable-single-link']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Link In Single Column', 'biography-pro' ),
            'section'               => 'biography-home-portfolio-options',
            'type'                  => 'checkbox',
            'priority'              => 35,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-portfolio-button-text'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-portfolio-button-text']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Browse All Button Text', 'biography-pro' ),
            'section'               => 'biography-home-portfolio-options',
            'type'                  => 'text',
            'priority'              => 40,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-portfolio-button-link'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-portfolio-button-link']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Browse All Button Link', 'biography-pro' ),
            'section'               => 'biography-home-portfolio-options',
            'type'                  => 'url',
            'priority'              => 50,
            'active_callback'       => ''
        )
    );