<?php
global $biography_panels;
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-home-service-enable'] = 1;
$biography_customizer_defaults['biography-home-service-title'] = esc_html__('Our Services','biography-pro');
$biography_customizer_defaults['biography-home-service-number'] = 3;

$biography_customizer_defaults['biography-home-service-single-words'] = 30;
$biography_customizer_defaults['biography-home-service-column'] =3;
$biography_customizer_defaults['biography-home-service-button-text'] = esc_html__('Browse more services','biography-pro');
$biography_customizer_defaults['biography-home-service-button-link'] = esc_url( home_url( '/services' ) );
$biography_customizer_defaults['biography-home-service-enable-single-link'] = 1;

/*serviceoptions*/
$biography_sections['biography-home-service-options'] =
    array(
        'priority'       => 80,
        'title'          => esc_html__( 'Service Options', 'biography-pro' ),
        'panel'          => 'biography-home-service',
    );

/*servicesetting*/
$biography_settings_controls['biography-home-service-enable'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-service-enable']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Service', 'biography-pro' ),
            'section'               => 'biography-home-service-options',
            'type'                  => 'checkbox',
            'priority'              => 10,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-service-enable-after-content-dots'] =
    array(
        'setting' =>     array(
            'default'              => true,
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable After content Dots', 'biography-pro' ),
            'section'               => 'biography-home-service-options',
            'type'                  => 'checkbox',
            'priority'              => 25,
            'active_callback'       => ''
        )
    );

/*defaults values*/
$biography_settings_controls['biography-home-service-title'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-service-title']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Main Title', 'biography-pro' ),
            'section'               => 'biography-home-service-options',
            'type'                  => 'text',
            'priority'              => 30,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-service-number'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-service-number']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number of Service/s', 'biography-pro' ),
            'section'               => 'biography-home-service-options',
            'type'                  => 'select',
            'choices'               => array(
                1 => esc_html__( '1', 'biography-pro' ),
                2 => esc_html__( '2', 'biography-pro' ),
                3 => esc_html__( '3', 'biography-pro' ),
                4 => esc_html__( '4', 'biography-pro' ),
                5 => esc_html__( '5', 'biography-pro' ),
                6 => esc_html__( '6', 'biography-pro' ),
                7 => esc_html__( '7', 'biography-pro' ),
                8 => esc_html__( '8', 'biography-pro' )
            ),
            'priority'              => 32,
            'active_callback'       => ''
        )
    );


$biography_settings_controls['biography-home-service-single-words'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-service-single-words']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number Of Words in Single Column Content', 'biography-pro' ),
            'description'           =>  esc_html__( 'If you do not have selected from - Custom', 'biography-pro' ),
            'section'               => 'biography-home-service-options',
            'type'                  => 'number',
            'priority'              => 28,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-service-column'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-service-column']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Number Of Columns', 'biography-pro' ),
            'section'               => 'biography-home-service-options',
            'type'                  => 'select',
            'choices'               => array(
                1 => esc_html__( '1', 'biography-pro' ),
                2 => esc_html__( '2', 'biography-pro' ),
                3 => esc_html__( '3', 'biography-pro' ),
                4 => esc_html__( '4', 'biography-pro' ),
            ),
            'priority'              => 30,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-service-enable-single-link'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-service-enable-single-link']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Link In Single Column', 'biography-pro' ),
            'section'               => 'biography-home-service-options',
            'type'                  => 'checkbox',
            'priority'              => 35,
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-home-service-button-text'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-service-button-text']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Browse All Button Text', 'biography-pro' ),
            'section'               => 'biography-home-service-options',
            'type'                  => 'text',
            'priority'              => 40,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-home-service-button-link'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-home-service-button-link']
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Browse All Button Link', 'biography-pro' ),
            'section'               => 'biography-home-service-options',
            'type'                  => 'url',
            'priority'              => 50,
            'active_callback'       => ''
        )
    );