<?php
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;

/**
 * Returns biography_important_links
 *
 * @since Biography 1.1.3
 */
if ( ! function_exists( 'biography_important_links' ) ) :
    function biography_important_links(){
        $important_links = array(
            'theme_author' => array(
                'link'	=> esc_url( 'http://themepalace.com/' ),
                'text' 	=> esc_html__( 'Theme Author', 'biography-pro' )
            ),
            'support' => array(
                'link'	=> esc_url( 'https://wordpress.org/support/theme/biography' ),
                'text' 	=> esc_html__( 'Support', 'biography-pro' )
            ),
            'review' => array(
                'link'	=> esc_url( 'https://wordpress.org/support/view/theme-reviews/biography' ),
                'text' 	=> esc_html__( 'Review', 'biography-pro' )
            )
        );
        $important_links_text = '';
        foreach ( $important_links as $important_link) {
            $important_links_text .= '<p><a target="_blank" href="' . $important_link['link'] .'" >' . esc_attr( $important_link['text'] ) .' </a></p>';
        }
        return $important_links_text;
    }
endif;


$biography_sections['biography-imp-links'] =
    array(
        'priority'       => 200,
        'title'          => esc_html__( 'Important Links ', 'biography-pro' ),
    );

/*creating setting control for biography-imp-links start*/
$biography_settings_controls['biography-imp-links-copyright'] =
    array(
        'control' => array(
            'label'                 =>  esc_html__( 'Copyright Text', 'biography-pro' ),
            'section'               => 'biography-imp-links',
            'type'                  => 'message',
            'priority'              => 2,
            'description'           => biography_important_links(),
            'active_callback'       => ''
        )
    );