<?php
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-logo'] = '';
$biography_customizer_defaults['biography-header-contact-url'] = '';
$biography_customizer_defaults['biography-header-contact-url-button-text'] = 'Contact Me';
$biography_customizer_defaults['biography-header-resume-url'] = '';
$biography_customizer_defaults['biography-header-resume-url-button-text'] = 'Download Resume';
$biography_customizer_defaults['biography-enable-social-icons'] = '';

/*creating setting control*/
if ( !function_exists( 'has_custom_logo' ) ) {
$biography_settings_controls['biography-logo'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-logo'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Logo', 'biography-pro' ),
            'section'               => 'title_tagline',
            'type'                  => 'image',
            'priority'              => 70,
            'description'           =>  esc_html__( 'Recommended logo size 260*260', 'biography-pro' ),
            'active_callback'       => '',
            'sanitize_callback'     =>'sanitize_file_name',
        )
    );
}

/*creating setting control*/
$biography_settings_controls['biography-header-contact-url'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-header-contact-url'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Contact Url', 'biography-pro' ),
            'section'               => 'title_tagline',
            'type'                  => 'url',
            'priority'              => 80,
            'sanitize_callback'     =>'esc_url_raw',
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-header-contact-url-button-text'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-header-contact-url-button-text'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Contact Url Button Text', 'biography-pro' ),
            'section'               => 'title_tagline',
            'type'                  => 'text',
            'priority'              => 80,
            'active_callback'       => '',
            'sanitize_callback'     =>'sanitize_text_field',
        )
    );

/*creating setting control*/
$biography_settings_controls['biography-header-resume-url'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-header-resume-url'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Resume Url', 'biography-pro' ),
            'section'               => 'title_tagline',
            'type'                  => 'url',
            'priority'              => 90,
            'sanitize_callback'     =>'esc_url_raw',
            'active_callback'       => ''
        )
    );
$biography_settings_controls['biography-header-resume-url-button-text'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-header-resume-url-button-text'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Resume Url Button Text', 'biography-pro' ),
            'section'               => 'title_tagline',
            'type'                  => 'text',
            'priority'              => 90,
            'active_callback'       => '',
            'sanitize_callback'     =>'sanitize_text_field',
        )
    );
$biography_settings_controls['biography-enable-social-icons'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-enable-social-icons'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Enable Social Menu On Header', 'biography-pro' ),
            'description'           =>  esc_html__( 'Please add social menus for enabling social menu. Go to menus for setting up', 'biography-pro' ),
            'section'               => 'title_tagline',
            'type'                  => 'checkbox',
            'priority'              => 100,
        )
    );