<?php
global $biography_sections;
global $biography_settings_controls;
global $biography_repeated_settings_controls;
global $biography_customizer_defaults;

/*defaults values*/
$biography_customizer_defaults['biography-default-layout'] = 'right-sidebar';
$biography_customizer_defaults['biography-archive-layout'] = 'thumbnail-and-excerpt';
$biography_customizer_defaults['biography-archive-image-align'] = 'full';
$biography_customizer_defaults['biography-single-post-image-align'] = 'full';


$biography_sections['biography-layout-options'] =
    array(
        'priority'       => 20,
        'title'          => esc_html__( 'Layout Options', 'biography-pro' ),
        'panel'          => 'biography-theme-options',
    );

/*layout-options option responsive lodader start*/
/*creating setting control for biography-layout-options start*/
$biography_settings_controls['biography-default-layout'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-default-layout'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Default Layout', 'biography-pro' ),
            'description'           =>  esc_html__( 'Please note that this setting can be override from individual post/page', 'biography-pro' ),
            'section'               => 'biography-layout-options',
            'type'                  => 'select',
            'choices'               => array(
                'right-sidebar' => esc_html__( 'Content - Primary Sidebar', 'biography-pro' ),
                'left-sidebar' => esc_html__( 'Primary Sidebar - Content', 'biography-pro' ),
                'no-sidebar' => esc_html__( 'No Sidebar', 'biography-pro' )
            ),
            'priority'              => 20,
            'active_callback'       => ''
        )
    );

$biography_settings_controls['biography-archive-layout'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-archive-layout'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Archive Layout', 'biography-pro' ),
            'section'               => 'biography-layout-options',
            'type'                  => 'select',
            'choices'               => array(
                'excerpt-only' => esc_html__( 'Excerpt Only', 'biography-pro' ),
                'thumbnail-and-excerpt' => esc_html__( 'Thumbnail and Excerpt', 'biography-pro' ),
                'full-post' => esc_html__( 'Full Post', 'biography-pro' ),
                'thumbnail-and-full-post' => esc_html__( 'Thumbnail and Full Post', 'biography-pro' ),
            ),
            'priority'              => 30,
        )
    );

$biography_settings_controls['biography-archive-image-align'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-archive-image-align'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Archive Image Alignment', 'biography-pro' ),
            'section'               => 'biography-layout-options',
            'type'                  => 'select',
            'choices'               => array(
                'full' => esc_html__( 'Full', 'biography-pro' ),
                'right' => esc_html__( 'Right', 'biography-pro' ),
                'left' => esc_html__( 'Left', 'biography-pro' )
            ),
            'priority'              => 40,
            'description'              => esc_html__('This option only work if you have selected "Thumbnail and Excerpt" or "Thumbnail and Full Post" in Archive Layout options','biography-pro'),
        )
    );

$biography_settings_controls['biography-single-post-image-align'] =
    array(
        'setting' =>     array(
            'default'              => $biography_customizer_defaults['biography-single-post-image-align'],
        ),
        'control' => array(
            'label'                 =>  esc_html__( 'Alignment Of Image In Single Post/Page', 'biography-pro' ),
            'section'               => 'biography-layout-options',
            'type'                  => 'select',
            'choices'               => array(
                'full' => esc_html__( 'Full', 'biography-pro' ),
                'right' => esc_html__( 'Right', 'biography-pro' ),
                'left' => esc_html__( 'Left', 'biography-pro' ),
                'no-image' => esc_html__( 'No image', 'biography-pro' )
            ),
            'priority'              => 40,
            'description'           =>  esc_html__( 'Please note that this setting can be override from individual post/page', 'biography-pro' ),
        )
    );