<?php
if ( ! class_exists( 'WP_Customize_Control' ) || class_exists( 'Biography_Customize_Category_Dropdown_Control' ))
    return NULL;

/**
 * Custom Control for category dropdown
 * @since 1.0.0
 *
 */
class Biography_Customize_Category_Dropdown_Control extends WP_Customize_Control {

    /**
     * Declare the control type.
     *
     * @access public
     * @var string
     */
    public $type = 'category_dropdown';

    /**
     * Function to  render the content on the theme customizer page
     *
     * @access public
     * @since 1.0.0
     *
     * @param null
     * @return void
     *
     */
    public function render_content() {
        $biography_customizer_name = 'biography_customizer_dropdown_categories_' . $this->id;;
        $biography_dropdown_categories = wp_dropdown_categories(
            array(
                'name'              => $biography_customizer_name,
                'echo'              => 0,
                'show_option_none'  =>__('Select','biography-pro'),
                'option_none_value' => '0',
                'selected'          => $this->value(),
            )
        );
        $biography_dropdown_final = str_replace( '<select', '<select ' . $this->get_link(), $biography_dropdown_categories );
        printf(
            '<label><span class="customize-control-title">%s</span> %s</label>',
            $this->label,
            $biography_dropdown_final
        );
    }
}
