<?php
if ( ! function_exists( 'biography_sanitize_post' ) ) :
    /**
     * Function to sanitize post/page/post type
     *
     * @access public
     * @since 1.1
     *
     * @param int $biography_post_id
     * @param object $biography_setting
     * @return int || float
     *
     */
    function biography_sanitize_post( $biography_post_id, $biography_setting ) {
        // Ensure $biography_post_id is an absolute integer.
        $biography_post_id = absint( $biography_post_id );

        // If $biography_post_id is an ID of a published page, return it; otherwise, return the default.
        return ( 'publish' == get_post_status( $biography_post_id ) ? $biography_post_id : $biography_setting->default );
    }

endif;