<?php
/**
 * check if all sections of front page disable
 *
 * @since biography 1.0.0
 */
if ( ! function_exists( 'biography_if_all_disable' ) ) :
    function biography_if_all_disable() {
        global $biography_customizer_all_values;
        if(
            1 != $biography_customizer_all_values['biography-home-service-enable'] &&
            1 != $biography_customizer_all_values['biography-home-history-enable'] &&
            1 != $biography_customizer_all_values['biography-home-review-enable'] &&
            1 != $biography_customizer_all_values['biography-home-count-enable'] &&
            1 != $biography_customizer_all_values['biography-home-portfolio-enable'] &&
            1 != $biography_customizer_all_values['biography-home-contact-enable']
        )
        {
            return 0;
        }
        else{
            return 1;
        }
    }
endif;
if ( ! function_exists( 'biography_front_page' ) ) :
    /**
     * Before main content
     *
     * @since biography 1.0.0
     *
     * @param null
     * @return null
     *
     */
    function biography_front_page() {
        if ( 'posts' == get_option( 'show_on_front' ) ) {
            require get_home_template();
        }
        elseif( 1 == biography_if_all_disable()){
            /**
             * homepage hook
             * @since Biography 1.0.0
             *
             * @hooked biography_home_service -  10
             * @hooked biography_home_review -  20
                * @subhooked biography_home_testimonial 10
             * @hooked biography_home_history -  30
             */

            global $biography_customizer_all_values;

           if (isset($biography_customizer_all_values['sortable'])):
            $sortable_controls = $biography_customizer_all_values['sortable'];
            endif;
            if(!empty($sortable_controls)){
                $position_display = explode(',',$sortable_controls);
                for($i=0; $i<10; $i++){
                    switch ($position_display[$i]) {
                        case'Client':
                            do_action('client');
                            break;
                        case'Service':
                            
                             do_action('service');
                            break;
                        case'History':
                             do_action('history');

                            break;
                        case'Contact':
                             do_action('contact');
                            break;
                        case'Portfolio':
                            do_action('portfolio');
                           
                            break;
                        case'Review':
                             do_action('review');
                            break;
                        case'Skill':
                            do_action('skill');
                            break;
                        case'Origin':
                                do_action('story');
                            break;  
                        case'Count':
                                do_action('count');
                            break;
                        case'Widget':
                                do_action('front-widget');
                            break;
                    }

                }
            }

            else{

                do_action('service');

                do_action('review');

                do_action('story');

                do_action('skill');

                do_action('history');
                
                do_action('contact');

                do_action('portfolio');

                do_action('count');

                do_action('client');

                do_action('front-widget');
            }
            
        }
        else {
          require get_page_template();
        }

    }
endif;
add_action( 'biography_action_front_page', 'biography_front_page', 10 );