<?php 
     if (!class_exists('Biography_Featured_Posts_Widgets')):


          /**
          * Blog widget class
          * @since Biography Pro 1.7 
          */
          class Biography_Featured_Posts_Widgets extends Wp_Widget{

               function __construct()
               {
                    parent::__construct(
                    'biography_blog_widget', // Base ID
                    esc_html__('Biography Featured Posts', 'biography-pro'), // Name
                    array( 'description' => esc_html__( 'Featured Posts Widget', 'biography-pro' ) ) // Args
                    );    
               }
         

               function widget( $args, $instance ) 
               {
                    extract( $args );

                    $title             = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base );
                    $post_category     = ! empty( $instance['post_category'] ) ? $instance['post_category'] : 0;
                    $featured_image    = ! empty( $instance['featured_image'] ) ? $instance['featured_image'] : 'biography-portfolio';
                    $post_number       = ! empty( $instance['post_number'] ) ? $instance['post_number'] : 4;
                    $excerpt_length    = ! empty( $instance['excerpt_length'] ) ? $instance['excerpt_length'] : 20;
                    $disable_date      = ! empty( $instance['disable_date'] ) ? true : false ;
                    $disable_author  = ! empty( $instance['disable_author'] ) ? true : false ;
                    $disable_comment  = ! empty( $instance['disable_comment'] ) ? true : false ;
                    $morebutton        =  ! empty( $instance['more_text'] ) ? strip_tags( $instance['more_text'] ) : 'More';
                    $disable_more      = ! empty( $instance['disable_more'] ) ? true : false ;
                    $custom_class      = apply_filters( 'widget_custom_class', empty( $instance['custom_class'] ) ? '' : $instance['custom_class'], $instance, $this->id_base );

                    if ( $custom_class ) {
                         $before_widget = str_replace( 'class="', 'class="'. $custom_class . ' ', $before_widget );
                    }

                    echo $before_widget;

                    if ( $title ) echo $before_title . $title . $after_title;


                    $qargs = array(
                    'posts_per_page' => $post_number,
                    'no_found_rows'  => true,
                    'ignore_sticky_posts'  => 1
                    );

                    if ( absint( $post_category ) > 0  ) {
                    $qargs['cat'] = $post_category;
                    }
                    wp_reset_postdata();
                    wp_reset_query();
                    $all_posts = new WP_Query( $qargs );

                    if ( ! empty( $all_posts ) ){ ?>
                         <div class ="row overhidden">
                          <div class="col-md-12 biography-animate slideInLeft">
                              <?php
                                   if ( $all_posts->have_posts() ) {
                                        $i = 0;
                                        while ( $all_posts->have_posts() ) {
                                              $i++;
                                             $all_posts->the_post(); 
                                             ?>
                                            
                           
                                             <div class="col-sm-4 widget-height">
                                                  <article class="blog-post-wrapper">
                                                       <?php
                                                       if ( 'disable' != $featured_image && has_post_thumbnail() ):
                                                       ?>
                                                            <div class="figure">    
                                                                 <div class="post-thumbnail">
                                                                      <a href="<?php the_permalink(); ?>">
                                                                           <?php the_post_thumbnail( $size = 'biography-portfolio', array('class' => 'img-responsive')); ?>
                                                                      </a>
                                                                 </div>  
                                                            </div>   
                                                       <?php endif ?>
                                                       <header class="entry-header">
                                                            <h3 class="entry-title">
                                                                 <a href="<?php the_permalink();?>">
                                                                      <?php the_title();?>
                                                                 </a>
                                                            </h3>
                                                            <hr class = "widgethr">
                                                            <div class="entry-meta">
                                                                 <ul class="list-inline">
                                                                       <?php if ($disable_author != TRUE): ?>
                                                                      <li>
                                                                           <span class="the-author">
                                                                                <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>">
                                                                                     <?php echo esc_html( get_the_author()); ?>

                                                                                </a> 
                                                                           </span>
                                                                      </li>
                                                                      <?php endif; ?>
                                                                      <?php if ($disable_date != TRUE): ?>
                                                                      <li>
                                                                           <span class="the-time">
                                                                                <a href="<?php echo the_permalink();?>" title="">
                                                                                     <?php echo get_the_date();?>
                                                                                </a>
                                                                           </span>
                                                                      </li>
                                                                      <?php endif; ?>
                                                                      <?php if ($disable_comment !=TRUE): ?>
                                                                      <li>
                                                                           <span class="the-comments">
                                                                                <a href="<?php echo the_permalink();?>" title=""> 
                                                                                     <?php echo get_comments_number( get_the_id () ); ?>

                                                                                </a>
                                                                           </span>
                                                                      </li>
                                                                      <?php endif; ?>
                                                                 </ul>
                                                            </div><!-- .entry-meta -->
                                                            <?php if ($disable_author != TRUE || $disable_date != TRUE || $disable_comment !=TRUE): ?>
                                                            <hr class = "widgethr">
                                                            <?php endif; ?>
                                                            <div class ="content-widget">
                                                                 <p class="widget-excerpt">
                                                                      <?php
                                                                      $excerpt = biography_words_count_widget( $excerpt_length, get_the_excerpt() );
                                                                      echo esc_html( $excerpt );
                                                                      ?>
                                                                 </p>
                                                            </div>
                                                            <?php
                                                            if( FALSE == $disable_more ){
                                                            ?>
                                                                 <div class="btn-container featured-btn">
                                                                      <a class="button button-link" href="<?php the_permalink(); ?>">
                                                                           <?php echo $morebutton; ?>                          
                                                                      </a>
                                                                 </div>
                                                                 <br>
                                                            <?php }?>

                                                       </header><!-- .entry-header -->

                                                  </article>
                                                </div>


                                             <?php

                                             if (($i%3) == 0):
                                              ?>
                                              <div class = "clearfix"> </div>

                                         <?php 
                                         endif;                                            }
                                        wp_reset_postdata();
                                   }
                              ?>

                      </div>
                    </div>

                    <?php
                    wp_reset_query(); 


                    }


                    echo $after_widget;
              

               }
                    function update( $new_instance, $old_instance ) {
                      $instance = $old_instance;

                      $instance['title']            = strip_tags($new_instance['title']);
                      $instance['post_category']    = absint( $new_instance['post_category'] );
                       $instance['more_text']     = strip_tags( $new_instance['more_text'] );
                      $instance['post_number']      = absint( $new_instance['post_number'] );
                       $instance['excerpt_length']   = absint( $new_instance['excerpt_length'] );
                      $instance['featured_image']   = esc_attr( $new_instance['featured_image'] );
                      $instance['disable_date']     = isset( $new_instance['disable_date'] );
                      $instance['disable_author'] = isset( $new_instance['disable_author'] );
                      $instance['disable_comment'] = isset( $new_instance['disable_comment'] );

                      $instance['disable_more']     = isset( $new_instance['disable_more'] );

                      $instance['custom_class']     = esc_attr( $new_instance['custom_class'] );

                      return $instance;
                    }

                    function form( $instance ) {

                      //Defaults
                      $instance = wp_parse_args( (array) $instance, array(
                          'title'            => '',
                          'post_category'    => '',
                          'featured_image'   => 'biography-portfolio',
                          'post_number'      => 4,
                          'more_text'        => 'Read More',  
                          'excerpt_length'   => 20,
                          'disable_date'     => 0,
                          'disable_author'   => 0,
                          'disable_comment'  => 0,
                          'disable_more'     => 0,
                          'custom_class'     => '',
                      ) );
                      $title            = strip_tags( $instance['title'] );
                      $post_category    = absint( $instance['post_category'] );
                      $featured_image   = esc_attr( $instance['featured_image'] );
                      $post_number      = absint( $instance['post_number'] );
                      $excerpt_length   = absint( $instance['excerpt_length'] );
                      $morebutton       = esc_attr($instance['more_text']);
                      $disable_date     = esc_attr( $instance['disable_date'] );
                      $disable_author = esc_attr( $instance['disable_author'] );
                      $disable_comment = esc_attr( $instance['disable_comment'] );
                      $disable_more = esc_attr( $instance['disable_more'] );
                      $custom_class     = esc_attr( $instance['custom_class'] );

                      ?>

                         <p>
                         <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title:', 'biography-pro' ); ?></label>
                           <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
                         </p>
                         <p>
                               <label for="<?php echo $this->get_field_id( 'post_category' ); ?>"><?php esc_html_e( 'Category:', 'biography-pro' ); ?></label>
                               <?php
                               $cat_args = array(
                                   'orderby'         => 'name',
                                   'hide_empty'      => 0,
                                   'taxonomy'        => 'category',
                                   'name'            => $this->get_field_name('post_category'),
                                   'id'              => $this->get_field_id('post_category'),
                                   'selected'        => $post_category,
                                   'show_option_all' => esc_html__( 'All Categories','biography-pro' ),
                               );
                               wp_dropdown_categories( $cat_args );
                               ?>
                         </p>
                         <p>
                         <label for="<?php echo $this->get_field_id( 'more_text' ); ?>"><?php esc_html_e( 'More button text:', 'biography-pro' ); ?></label>
                           <input class="widefat" id="<?php echo $this->get_field_id( 'more_text' ); ?>" name="<?php echo $this->get_field_name( 'more_text' ); ?>" type="text" value="<?php echo esc_attr( $morebutton); ?>" />
                         </p>
                         <p>
                             <label for="<?php echo $this->get_field_id( 'post_number' ); ?>"><?php esc_html_e('Number of Posts:', 'biography-pro' ); ?></label>
                             <input class="widefat1" id="<?php echo $this->get_field_id( 'post_number' ); ?>" name="<?php echo $this->get_field_name( 'post_number' ); ?>" type="number" value="<?php echo esc_attr( $post_number ); ?>" min="1" style="max-width:50px;" />
                         </p>
                         <p>
                               <label for="<?php echo $this->get_field_id( 'excerpt_length' ); ?>"><?php esc_html_e('Excerpt Length:', 'biography-pro' ); ?></label>
                               <input class="widefat1" id="<?php echo $this->get_field_id( 'excerpt_length' ); ?>" name="<?php echo $this->get_field_name( 'excerpt_length' ); ?>" type="number" value="<?php echo esc_attr( $excerpt_length ); ?>" min="1" style="max-width:50px;" />
                         </p>
                         <p>
                           <input id="<?php echo $this->get_field_id( 'disable_date' ); ?>" name="<?php echo $this->get_field_name( 'disable_date' ); ?>" type="checkbox" <?php checked(isset($instance['disable_date']) ? $instance['disable_date'] : 0); ?> />&nbsp;
                           <label for="<?php echo $this->get_field_id( 'disable_date' ); ?>"><?php esc_html_e( 'Disable Date', 'biography-pro' ); ?></label>
                         </p>
                         <p>
                           <input id="<?php echo $this->get_field_id( 'disable_author' ); ?>" name="<?php echo $this->get_field_name( 'disable_author' ); ?>" type="checkbox" <?php checked(isset($instance['disable_author']) ? $instance['disable_author'] : 0); ?> />&nbsp;
                           <label for="<?php echo $this->get_field_id( 'disable_author' ); ?>"><?php esc_html_e( 'Disable Author', 'biography-pro' ); ?></label>
                         </p>
                         <p>
                           <input id="<?php echo $this->get_field_id( 'disable_comment' ); ?>" name="<?php echo $this->get_field_name( 'disable_comment' ); ?>" type="checkbox" <?php checked(isset($instance['disable_comment']) ? $instance['disable_comment'] : 0); ?> />&nbsp;
                           <label for="<?php echo $this->get_field_id( 'disable_comment' ); ?>"><?php esc_html_e( 'Disable Comment', 'biography-pro' ); ?></label>
                         </p>
                         <p>
                           <input id="<?php echo $this->get_field_id( 'disable_more' ); ?>" name="<?php echo $this->get_field_name( 'disable_more' ); ?>" type="checkbox" <?php checked(isset($instance['disable_more']) ? $instance['disable_more'] : 0); ?> />&nbsp;
                           <label for="<?php echo $this->get_field_id( 'disable_more' ); ?>"><?php esc_html_e( 'Disable More', 'biography-pro' ); ?></label>
                         </p>
                         <p>
                           <label for="<?php echo $this->get_field_id( 'custom_class' ); ?>"><?php esc_html_e( 'Custom Class:', 'biography-pro' ); ?></label>
                           <input class="widefat" id="<?php echo $this->get_field_id( 'custom_class'); ?>" name="<?php echo $this->get_field_name( 'custom_class' ); ?>" type="text" value="<?php echo esc_attr( $custom_class ); ?>" />
                           
                         </p>
                    <?php
                    }
               }    
          

               add_action( 'widgets_init', 'biography_featured_posts_widgets' );

               if ( ! function_exists( 'biography_featured_posts_widgets' ) ) :

                    /**
                    * Load widgets
                    *
                    * @since Amazing Blog 1.0.0
                    *
                    */
                    function biography_featured_posts_widgets(){
                      // Latest News widget
                      register_widget( 'Biography_Featured_Posts_Widgets' );
                    }

               endif;

           endif;